Subject: Re: [mpls] Comments draft-nitinb-mpls-tp-lsp-ping-extensions

From: Vishwas Manral <[email-masked]>
Date: Mon, 1 Mar 2010 12:34:14 -0800

Hi Nitin,

I found the draft in the staging area

http://www.ietf.org/staging/draft-manral-mpls-lsp-ping-fecext-00.txt

This need not necessarily relate to your draft alone but also for basic MPLS
itself.

Thanks,
Vishwas

On Mon, Mar 1, 2010 at 12:31 PM, Vishwas Manral <[email-masked]>wrote:

> Hi Nitin,
>
> Can you detail how Section 2.4 tells The Target FEC?
>
> Also for the first isn't MPLS-TP generally supposed to be EMS/ NSM
> configured. Also how does the draft define the Target FEC field in the
> static case?
>
> Thanks,
> Vishwas
>   On Mon, Mar 1, 2010 at 12:22 PM, Nitin Bahadur <[email-masked]>wrote:
>
>>
>> Hi Vishwas,
>>
>>   Not necessarily. The most common use of this might be with dynamic LSPs.
>>
>> In case of static LSPs, the target FEC stack is described in Section 2.4.
>>
>> HTH
>> Nitin
>>
>> ________________________________
>>
>>        From: Vishwas Manral [mailto:[email-masked]]
>>        Sent: Monday, March 01, 2010 11:40 AM
>>        To: Nitin Bahadur
>>        Cc: [email-masked]
>>        Subject: Comments draft-nitinb-mpls-tp-lsp-ping-extensions
>>
>>
>>        Hi Nitin,
>>
>>        If I get it correct the most common use of this in MPLS-TP may be
>> with Static LSP's and carrying MPLS traffic itself.
>>
>>        What is the Target FEC stack to use in such a case for LSP Ping? Do
>> you think this requires a solution?
>>
>>        I have a draft that may help in such a case. It however still has
>> not been posted yet.
>>
>>        Thanks,
>>        Vishwas
>>
>>        On Sat, Feb 27, 2010 at 4:02 AM, Loa Andersson <[email-masked]> wrote:
>>
>>
>>                All,
>>
>>                this is to start a poll on accepting
>>                draft-nitinb-mpls-tp-lsp-ping-extensions-01
>>                as an mpls working group document.
>>
>>                Please respond to the mpls-tp mailing list *only*!
>>                Indicating "yes/support" or "no/do not support".
>>
>>                Technical comments, which are very welcome, should be
>>                sent to the same list, but with a differnt subject line.
>>
>>                The poll ends eob March 12th 2010.
>>
>>                /Loa
>>
>>
>>                --
>>
>>
>>                Loa Andersson                         email:
>> [email-masked]
>>                Sr Strategy and Standards Manager            [email-masked]
>>                Ericsson Inc                          phone: +46 10 717 52
>> 13
>>                                                            +46 767 72 92
>> 13
>>                _______________________________________________
>>                mpls-tp mailing list
>>                [email-masked]
>>                https://www.ietf.org/mailman/listinfo/mpls-tp
>>
>>
>>
>>
>

---

From: Nitin Bahadur <[email-masked]>
Date: Mon, 1 Mar 2010 13:38:27 -0800

The FECs described in the below draft are same as those defined in RFC 4379 Section 3.2.13 & 3.2.14.

The MPLS FEC description/details make the mpls fec of little use.

Thanks
Nitin

________________________________
From: Vishwas Manral [mailto:[email-masked]]
Sent: Monday, March 01, 2010 12:34 PM
To: Nitin Bahadur
Cc: [email-masked]; [email-masked]
Subject: Re: Comments draft-nitinb-mpls-tp-lsp-ping-extensions

Hi Nitin,

This need not necessarily relate to your draft alone but also for basic MPLS itself.

Thanks,
Vishwas

On Mon, Mar 1, 2010 at 12:31 PM, Vishwas Manral <[email-masked]<mailto:[email-masked]>> wrote:
Hi Nitin,

Also for the first isn't MPLS-TP generally supposed to be EMS/ NSM configured. Also how does the draft define the Target FEC field in the static case?

Thanks,
Vishwas
On Mon, Mar 1, 2010 at 12:22 PM, Nitin Bahadur <[email-masked]<mailto:[email-masked]>> wrote:

Hi Vishwas,

HTH
Nitin

       From: Vishwas Manral [mailto:[email-masked]<mailto:[email-masked]>]
       Sent: Monday, March 01, 2010 11:40 AM
       To: Nitin Bahadur
       Cc: [email-masked]<mailto:[email-masked]>
       Subject: Comments draft-nitinb-mpls-tp-lsp-ping-extensions

       Hi Nitin,

       If I get it correct the most common use of this in MPLS-TP may be with Static LSP's and carrying MPLS traffic itself.

       What is the Target FEC stack to use in such a case for LSP Ping? Do you think this requires a solution?

       I have a draft that may help in such a case. It however still has not been posted yet.

       Thanks,
       Vishwas

       On Sat, Feb 27, 2010 at 4:02 AM, Loa Andersson <[email-masked]<mailto:[email-masked]>> wrote:

               All,

               /Loa

               --

               Loa Andersson                         email: [email-masked]<mailto:[email-masked]>
               Sr Strategy and Standards Manager            [email-masked]<mailto:[email-masked]>
               Ericsson Inc                          phone: +46 10 717 52 13
                                                           +46 767 72 92 13
               _______________________________________________
               mpls-tp mailing list
               [email-masked]<mailto:[email-masked]>
               https://www.ietf.org/mailman/listinfo/mpls-tp

---

From: Vishwas Manral <[email-masked]>
Date: Mon, 1 Mar 2010 14:31:54 -0800

Hi Nitin,

There is a difference do you think there is a difference between static and
Generic as defined in the RFC as

"This FEC is used if the protocol advertising the label is unknown or may
change during the course of the LSP."

Or does it look the same to you?

In my view Static and unknown are different.

Thanks,
Vishwas
On Mon, Mar 1, 2010 at 1:38 PM, Nitin Bahadur <[email-masked]> wrote:

>  ------------------------------
>  *From:* Vishwas Manral [mailto:[email-masked]]
> *Sent:* Monday, March 01, 2010 12:34 PM
> *To:* Nitin Bahadur
> *Cc:* [email-masked]; [email-masked]
> *Subject:* Re: Comments draft-nitinb-mpls-tp-lsp-ping-extensions
>
>   Hi Nitin,
>